%define srcname pretend

Name:           python-pretend
Version:        1.0.9
Release:        %mkrel 8
Summary:        A library for stubbing in Python

Group:          Development/Python
License:        BSD
URL:            https://github.com/alex/pretend
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Pretend is a library to make stubbing with Python easier.

%package -n python3-pretend
Summary:        A library for stubbing in Python
License:        BSD
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pretend
Pretend is a library to make stubbing with Python3 easier.

%prep
%setup -q -n %{srcname}-%{version}

# Delete upstream supplied egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc PKG-INFO README.rst LICENSE.rst
%{python3_sitelib}/pretend.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pretend-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.9-8.mga9
+ Revision: 1822261
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.9-7.mga9
+ Revision: 1772461
- rebuild for python3.10

* Sat Mar 20 2021 wally <wally> 1.0.9-6.mga9
+ Revision: 1705733
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.9-5.mga8
+ Revision: 1535594
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.0.9-4.mga8
+ Revision: 1452483
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.0.9-3.mga7
+ Revision: 1353800
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.9-2.mga7
+ Revision: 1289749
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 1.0.9-1.mga7
+ Revision: 1220445
- Update to version 1.0.9
- Renamed python-pretend to python2-pretend
- USe python_provide

* Sat Aug 05 2017 philippem <philippem> 1.0.8-4.mga7
+ Revision: 1135142
- rebuild for Python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.8-3.mga6
+ Revision: 970722
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.8-2.mga6
+ Revision: 888037
- rebuild for python 3.5
- use new python macros

* Sun Mar 08 2015 philippem <philippem> 1.0.8-1.mga5
+ Revision: 818086
- imported package python-pretend

